summaryrefslogtreecommitdiffstats
path: root/audio/transcribe
diff options
context:
space:
mode:
Diffstat (limited to 'audio/transcribe')
-rw-r--r--audio/transcribe/README9
-rw-r--r--audio/transcribe/doinst.sh1
-rw-r--r--audio/transcribe/transcribe.SlackBuild56
-rw-r--r--audio/transcribe/transcribe.desktop2
-rw-r--r--audio/transcribe/transcribe.info14
5 files changed, 53 insertions, 29 deletions
diff --git a/audio/transcribe/README b/audio/transcribe/README
index 16e32174ad..03bbc385f2 100644
--- a/audio/transcribe/README
+++ b/audio/transcribe/README
@@ -1,3 +1,5 @@
+transcribe (music transcription tool)
+
The Transcribe! application is an assistant for people who sometimes
want to work out a piece of music from a recording, in order to
write it out, or play it themselves, or both. It doesn't do the
@@ -12,7 +14,6 @@ software, use the site at http://www.seventhstring.com/xscribe/buy.html.
The Slackware package doesn't need to be changed or updated (just
enter the license key).
-Note: 8.73 is the last version of Transcribe! that will work on
-Slackware 14.2. Please don't ask me to update to newer versions: they
-require a newer glibc than 14.2 has. We'll have to wait until 15.0 is
-released.
+Note: I'm aware that there's a newer version (9.10.0), but it crashes
+on startup, most likely due to incompatible library versions. Will
+revisit this when Slackware 15.0 is released.
diff --git a/audio/transcribe/doinst.sh b/audio/transcribe/doinst.sh
index 4a25de5e6f..65c7e2eeb9 100644
--- a/audio/transcribe/doinst.sh
+++ b/audio/transcribe/doinst.sh
@@ -7,4 +7,3 @@ if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
/usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
fi
fi
-
diff --git a/audio/transcribe/transcribe.SlackBuild b/audio/transcribe/transcribe.SlackBuild
index bbfe2267dc..0968b6fc25 100644
--- a/audio/transcribe/transcribe.SlackBuild
+++ b/audio/transcribe/transcribe.SlackBuild
@@ -1,8 +1,8 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for transcribe
-# Written by B. Watson (yalhcru@gmail.com)
+# Written by B. Watson (urchlay@slackware.uk)
# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
@@ -22,7 +22,15 @@
# The version number doesn't appear in the tarball filename or the URL,
# so be careful that $VERSION matches the actual version number (found
-# in Help/About)
+# in Help/About)... though starting with v8.80, I host the tarballs
+# and put $VERSION in the filenames.
+
+# 20211127 bkw: updated for v8.80 and -current. This is the last
+# version that supports 32-bit. I tried the latest verion (9.10.0)
+# on 64-bit, but it fails to init the audio device, then crashes
+# with a "malloc(): unaligned tcache chunk detected", which means
+# either an actual bug (that I can't fix due to lack of source) or an
+# incompatible library (the 9.10.0 binary is built on XUbuntu 20.4).
# 20191211 bkw: updated for v8.73. This is the "older version" upstream
# provides for OSes where the libraries (including glibc) are too
@@ -33,10 +41,13 @@
# at some point, upstream will release a version 8.75. At that point
# it's likely that 8.73 will disappear from his site.
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=transcribe
-VERSION=${VERSION:-8.73}
+VERSION=${VERSION:-8.80}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -46,26 +57,30 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i586" ]; then
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "i686" ]; then
+if [ "$ARCH" = "i586" -o "$ARCH" = "i686" ]; then
LIBDIRSUFFIX=""
+ BITS=32
elif [ "$ARCH" = "x86_64" ]; then
LIBDIRSUFFIX="64"
+ BITS=64
else
- echo "Unsupported ARCH '$ARCH', this package probably won't work"
- sleep 5
- LIBDIRSUFFIX=""
+ echo "*** Unsupported ARCH '$ARCH', only i586/i686/x86_64 supported."
+ exit 1
fi
-# The dist tarball's filename has no connection whatsoever to
-# the actual name of the program...
-TARNAME=xsc${LIBDIRSUFFIX}setup.tar.gz
+# The dist tarball's filename has no connection whatsoever to the
+# actual name of the program... The -$VERSION was put there by me (I
+# renamed the file) to allow me to host multiple versions.
+TARNAME=xsc${BITS}setup-$VERSION.tar.gz
set -e
@@ -90,9 +105,18 @@ mkdir -p $PKG/usr/lib$LIBDIRSUFFIX/$PRGNAM \
install -oroot -groot -m0755 $PRGNAM $PKG/usr/lib$LIBDIRSUFFIX/$PRGNAM/
install -oroot -groot -m0644 xschelp.htb $PKG/usr/lib$LIBDIRSUFFIX/$PRGNAM/
install -oroot -groot -m0644 readme_gtk.html $PKG/usr/doc/$PRGNAM-$VERSION/
-install -oroot -groot -m0644 gtkicons/xsc128x128.png $PKG/usr/share/pixmaps/
install -oroot -groot -m0755 $PRGNAM.sh $PKG/usr/bin/$PRGNAM
+for i in gtkicons/*.png; do
+ px="$( basename $i | cut -dx -f3 | cut -d. -f1 )"
+ size=${px}x${px}
+ dir=$PKG/usr/share/icons/hicolor/$size/apps
+ mkdir -p $dir
+ cat $i > $dir/$PRGNAM.png
+done
+
+ln -s ../icons/hicolor/48x48/apps/$PRGNAM.png $PKG/usr/share/pixmaps/$PRGNAM.png
+
# Starting with v8.70, a gstreamer plugin is included.
if [ -e libgstvideosection.so ]; then
mkdir -p $PKG/usr/lib$LIBDIRSUFFIX/gstreamer-1.0
@@ -105,4 +129,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/audio/transcribe/transcribe.desktop b/audio/transcribe/transcribe.desktop
index dc46a478fc..36e79bc611 100644
--- a/audio/transcribe/transcribe.desktop
+++ b/audio/transcribe/transcribe.desktop
@@ -2,7 +2,7 @@
Name=Transcribe!
GenericName=Music Transcriber
Type=Application
-Icon=/usr/share/pixmaps/xsc128x128.png
+Icon=transcribe
Exec=transcribe
Terminal=false
Categories=AudioVideo;X-Sound;Audio;
diff --git a/audio/transcribe/transcribe.info b/audio/transcribe/transcribe.info
index 9a03951bc7..809ce911de 100644
--- a/audio/transcribe/transcribe.info
+++ b/audio/transcribe/transcribe.info
@@ -1,10 +1,10 @@
PRGNAM="transcribe"
-VERSION="8.73"
-HOMEPAGE="http://www.seventhstring.com/"
-DOWNLOAD="https://slackware.uk/~urchlay/src/xscsetup.tar.gz"
-MD5SUM="1c4e09cf87671e0c11afc2a089c3367c"
-DOWNLOAD_x86_64="https://slackware.uk/~urchlay/src/xsc64setup.tar.gz"
-MD5SUM_x86_64="1d6e705d01938fd69cc6395975fdafe5"
+VERSION="8.80"
+HOMEPAGE="https://www.seventhstring.com/"
+DOWNLOAD="https://slackware.uk/~urchlay/src/xsc32setup-8.80.tar.gz"
+MD5SUM="52d7a98786c207cb0ee5d38c490a55b6"
+DOWNLOAD_x86_64="https://slackware.uk/~urchlay/src/xsc64setup-8.80.tar.gz"
+MD5SUM_x86_64="8ee6c689516c858816b146de2713633f"
REQUIRES=""
MAINTAINER="B. Watson"
-EMAIL="yalhcru@gmail.com"
+EMAIL="urchlay@slackware.uk"